# Method: organizations.analyticsAccountLinks.setPropertyServiceLevel

- [HTTP request](https://developers.google.com/marketing-platform/devguides/api/admin/v1/rest/v1alpha/organizations.analyticsAccountLinks/setPropertyServiceLevel#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/marketing-platform/devguides/api/admin/v1/rest/v1alpha/organizations.analyticsAccountLinks/setPropertyServiceLevel#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/marketing-platform/devguides/api/admin/v1/rest/v1alpha/organizations.analyticsAccountLinks/setPropertyServiceLevel#body.request_body)
  - [JSON representation](https://developers.google.com/marketing-platform/devguides/api/admin/v1/rest/v1alpha/organizations.analyticsAccountLinks/setPropertyServiceLevel#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://developers.google.com/marketing-platform/devguides/api/admin/v1/rest/v1alpha/organizations.analyticsAccountLinks/setPropertyServiceLevel#body.response_body)
- [Authorization scopes](https://developers.google.com/marketing-platform/devguides/api/admin/v1/rest/v1alpha/organizations.analyticsAccountLinks/setPropertyServiceLevel#body.aspect)
- [Try it!](https://developers.google.com/marketing-platform/devguides/api/admin/v1/rest/v1alpha/organizations.analyticsAccountLinks/setPropertyServiceLevel#try-it)

Updates the service level for an Analytics property.

### HTTP request

`POST https://marketingplatformadmin.googleapis.com/v1alpha/{analyticsAccountLink=organizations/*/analyticsAccountLinks/*}:setPropertyServiceLevel`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `analyticsAccountLink` | `string` Required. The parent AnalyticsAccountLink scope where this property is in. Format: organizations/{org_id}/analyticsAccountLinks/{analytics_account_link_id} |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "analyticsProperty": string, "serviceLevel": enum (`https://developers.google.com/marketing-platform/devguides/api/admin/v1/rest/v1alpha/AnalyticsServiceLevel`) } ``` |

| Fields ||
|---|---|
| `analyticsProperty` | `string` Required. The Analytics property to change the ServiceLevel setting. This field is the name of the Google Analytics Admin API property resource. Format: analyticsadmin.googleapis.com/properties/{property_id} |
| `serviceLevel` | ``enum (`https://developers.google.com/marketing-platform/devguides/api/admin/v1/rest/v1alpha/AnalyticsServiceLevel`)`` Required. The service level to set for this property. |

### Response body

If successful, the response body is empty.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/marketingplatformadmin.analytics.update`